function pera(sa,boxes)
sa'
boxes'
m = max(size(boxes))
if mod(m,3)
	error("Argumnet boxes is not well defined");
end
for i=3:m:4
	if boxes(i)~=":"
		error("Argumnet boxes is not well defined");
	end
end

end